Package org.eclipse.graphiti.features.context

# Interface ITargetConnectionDecoratorContext

All Superinterfaces:
  `IContext`, `IPropertyBag`

All Known Subinterfaces:
  `IAddConnectionContext`, `IAddContext`

All Known Implementing Classes:
  `AddConnectionContext`, `AddContext`

public interface ITargetConnectionDecoratorContext extends IContext
The Interface ITargetConnectionDecoratorContext.

Since:
  0.8

## Method Summary

Modifier and Type
Method
Description
`ConnectionDecorator`
`getTargetConnectionDecorator()`
Gets the target connection decorator.

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Method Details

### getTargetConnectionDecorator

ConnectionDecorator getTargetConnectionDecorator()
Gets the target connection decorator.

Returns:
  the target connection decorator where the new pictogram element (currently this has to be a shape) has to be inserted